API Reference
Update screenings in batch
/v2/screening https://api.cable.tech Authentication
- Bearer token in the Authorization header
screening:write
Request body
An array of screening update payloads. Each payload must include the ‘screening_id’ to identify the screening and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.
-
screening_idstring requiredUnique identifier for the screening. This is the primary key for a screening and should be unique across screenings.
-
typestringThe type of screening check performed (e.g., SANCTION, PEP, ADVERSE_MEDIA, etc.).
Allowed values
ADVERSE_MEDIAAMLPEPSANCTION -
outcomestring requiredThe outcome of the screening check (e.g., POSITIVE, NEGATIVE, TRUE_POSITIVE, etc.). The value “SCREENED” should only be used when the outcome is not available but there is the confirmation that the screening has been done.
Allowed values
POSITIVENEGATIVEFALSE_NEGATIVEFALSE_POSITIVETRUE_NEGATIVETRUE_POSITIVESCREENED -
outcome_detailsstringFurther details on the reason of the screening outcome. For a transaction screening, it could be due to many reasons, so it could be relevant to include further details.
-
providerstringThe provider that performed the screening check.
-
listslist of stringsThe list(s) that the transaction was screened against. E.g. OFAC, ComplyAdvantage, Watchlists…
-
timestampstring requiredWhen the screening was performed in your system, in ISO 8601 format.
Format
date-time -
related_tx_idstringUnique identifier for the related transaction in case of a transaction screening. Only one of
related_tx_id,related_person_idorrelated_company_idshould be provided. -
related_person_idstringUnique identifier for the related person in case of a person and/or transaction screening. Only one of
related_tx_id,related_person_idorrelated_company_idshould be provided. -
related_company_idstringUnique identifier for the related company in case of a company screening. Only one of
related_tx_id,related_person_idorrelated_company_idshould be provided.
Responses
200 Screening updated successfully
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid screening data
- 401 Unauthorized request
- 404 Screening not found
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-